Bug 1269174 - Unable to identify DASD devices before formatting them with dasdfmt
Unable to identify DASD devices before formatting them with dasdfmt
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.2
s390x Linux
medium Severity medium
: rc
: ---
Assigned To: Vendula Poncova
Release Test Team
Petr Bokoc
:
Depends On:
Blocks: 1256306 1478303
  Show dependency treegraph
 
Reported: 2015-10-06 10:07 EDT by Jan Stodola
Modified: 2017-10-31 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-21.48.22.122-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (69.31 KB, image/png)
2015-10-06 10:08 EDT, Jan Stodola
no flags Details
storage.log (110.48 KB, text/plain)
2015-10-06 10:15 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2015-10-06 10:07:26 EDT
Description of problem:
When anaconda asks to format unformatted or LDL DASD disks, it is not clear which DASD disks will be formatted. Anaconda only shows device names (for example /dev/dasdh), which are not persistent and changes across reboots. Anaconda should show the DASD device ID of the disks to be formatted.
This needs to be fixed in both GUI and TUI mode.

Version-Release number of selected component (if applicable):
RHEL-7.1 GA
RHEL-7.2 Snap4 (anaconda-21.48.22.53-1.el7)

How reproducible:
always

Steps to Reproduce:
1. format one or more DASD disks using cpfmtxa in CMS
2. start the installation
3. select all disks
4. let anaconda create the partitions
5. review the list of disks to be formatted using dasdfmt

Actual results:
unable to identify what DASD disks will be formatted

Expected results:
able to identify what DASD disks will be formatted - anaconda should show the device ID in any form, for example "0.0.3024"

Work around:
Log in via ssh during the installation and run "lsdasd" to match device names and device IDs.
Comment 1 Jan Stodola 2015-10-06 10:08 EDT
Created attachment 1080245 [details]
screenshot
Comment 4 Jan Stodola 2015-10-06 10:15 EDT
Created attachment 1080254 [details]
storage.log
Comment 8 Jan Stodola 2016-07-18 05:25:16 EDT
Device IDs are shown in GUI installation, but not in TUI installation:

The following unformatted or LDL DASDs have been detected on your system. You
can choose to format them now with dasdfmt or cancel to leave them unformatted.
Unformatted DASDs cannot be used during installation.

/dev/dasde
/dev/dasdd
Warning: All storage changes made using the installer will be lost when you
choose to format.

Tested with anaconda-21.48.22.79-1.el7, moving back to ASSIGNED.
Comment 9 Samantha N. Bueno 2016-08-26 12:59:04 EDT
This is actually not going to be simple to fix -- at least, not simple (non-invasive) enough for 7.3 at this point. So I'm going to defer it until 7.4.
Comment 12 Vendula Poncova 2017-08-14 04:44:59 EDT
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1147

Note You need to log in before you can comment on or make changes to this bug.